IF IndexProperty(Object_Id('Valores'), 'IX_VAL_PorImpoFecha', 'IndexID') IS NOT NULL	
DROP INDEX [IX_VAL_PorImpoFecha] ON [dbo].[Valores]
GO
	ALTER TABLE Valores ALTER COLUMN Importe DECIMAL(20,2)

CREATE NONCLUSTERED INDEX [IX_VAL_PorImpoFecha] ON [dbo].[Valores]
(
	[Importe] ASC,
	[Fecha_Acreditacion] ASC,
	[Id_Valor] ASC
)
GO